package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrContentModelMapper;
import com.ruoyi.project.pssr.domain.TPssrContentModel;
import com.ruoyi.project.pssr.service.ITPssrContentModelService;

/**
 * 开车条件确认模板Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrContentModelServiceImpl implements ITPssrContentModelService
{
    @Autowired
    private TPssrContentModelMapper tPssrContentModelMapper;

    /**
     * 查询开车条件确认模板
     *
     * @param id 开车条件确认模板ID
     * @return 开车条件确认模板
     */
    @Override
    public TPssrContentModel selectTPssrContentModelById(Long id)
    {
        return tPssrContentModelMapper.selectTPssrContentModelById(id);
    }

    /**
     * 查询开车条件确认模板列表
     *
     * @param tPssrContentModel 开车条件确认模板
     * @return 开车条件确认模板
     */
    @Override
    public List<TPssrContentModel> selectTPssrContentModelList(TPssrContentModel tPssrContentModel)
    {
        return tPssrContentModelMapper.selectTPssrContentModelList(tPssrContentModel);
    }

    /**
     * 新增开车条件确认模板
     *
     * @param tPssrContentModel 开车条件确认模板
     * @return 结果
     */
    @Override
    public int insertTPssrContentModel(TPssrContentModel tPssrContentModel)
    {
        return tPssrContentModelMapper.insertTPssrContentModel(tPssrContentModel);
    }

    /**
     * 修改开车条件确认模板
     *
     * @param tPssrContentModel 开车条件确认模板
     * @return 结果
     */
    @Override
    public int updateTPssrContentModel(TPssrContentModel tPssrContentModel)
    {
        return tPssrContentModelMapper.updateTPssrContentModel(tPssrContentModel);
    }

    /**
     * 批量删除开车条件确认模板
     *
     * @param ids 需要删除的开车条件确认模板ID
     * @return 结果
     */
    @Override
    public int deleteTPssrContentModelByIds(Long[] ids)
    {
        return tPssrContentModelMapper.deleteTPssrContentModelByIds(ids);
    }

    /**
     * 删除开车条件确认模板信息
     *
     * @param id 开车条件确认模板ID
     * @return 结果
     */
    @Override
    public int deleteTPssrContentModelById(Long id)
    {
        return tPssrContentModelMapper.deleteTPssrContentModelById(id);
    }
}
